【最大10000ポイント】当たる!!質問投稿キャンペーン!

基礎からのPHPという学習本で勉強中です。PEAR::DBモジュールのインストールがうまくいきません。

OS:Windows XP
php-5.2.3-Win32.zip を使用。
C:\Program Files\PHP5 (ディレクトリ)

下記のとおりphp.iniを変更・追加しました。
include_path = ".;C:\Program Files\PHP5\includes"(追加)

; extension_dir = "./"(コメントアウト)

extension_dir = "c:\Program FIles\PHP5\ext"(追加)

extension=php_gb2.dll
extension=php_mbstring.dll
extension=php_mysql.dll
extension=php_pdo.dll
extension=php_pdo_mysql.dll
(コメントアウトをはずす)

mbstring.internal_encoding = SJIS(修正)


apache_20204-win32-x86-no_ssl.msi を使用。

下記のとおりhttpd.confを変更・追加しました。

LoadModule php5_module "c:\Program Files\PHP5\php5apache2_2.dll"(追加)
PHPiniDir "C:\Program Files\PHP5"(追加)

DirectoryIndex index index.html index.php(追加)

Include conf/extra/httpd-languages.conf

下記のとおりmime.typesを変更・追加しました。

application/x-httpd-php php(追加)

下記のとおりhttpd-languages.confを変更・追加しました。

DefaultLanguage ja(修正)

AddDefaultLanguage ja(追加)


mysql-5.0.45-win32.zip を使用しました。



go-pear.batの実行結果。


PHP Warning: PHP Startup: Unable to load dynamic library 'C:\Program Files\php5
\ext\libpdf_php.dll' - 指定されたモジュールが見つかりません。
in Unknown on line 0

Are you installing a system-wide PEAR or a local copy?
(system|local) [system] :


この状態でインストールを継続するとphp.iniの内容変更メッセージが表示されず、うまくインストールできません。
libpdf_php.dll ファイルはこの書籍の添付CDに数種類添付されておりそのなかに4つのフォルダがあります。

php-503
php-510
php-520
php-520-nozts

フォルダそれぞれにlibpdf_php.dllファイルが保存されています。

C:\Program Files\php5\ext\にlibpdf_php.dllを保存し、go-pear.batを実行しましたが、



** WARNING! Old version found at C:\Program Files\PHP5, please remove it or be s
ure to use the new c:\program files\php5\pear.bat command

The 'pear' command is now at your service at c:\program files\php5\pear.bat


* WINDOWS ENVIRONMENT VARIABLES *
For convenience, a REG file is available under C:\Program Files\PHP5\PEAR_ENV.re
g .
This file creates ENV variables for the current user.

Double-click this file to add it to the current user registry.

続行するには何かキーを押してください . . .


となりやはりうまくインストールできません。
どなたか解決方法がお分かりの方がいたら教えてください。
よろしくお願いします。

「基礎からのPHPという学習本で勉強中です」の質問画像

このQ&Aに関連する最新のQ&A

A 回答 (1件)

自分で環境構築できないならXAMPPでも使え。


PEAR::DBはもう最低限のメンテナンスしかしないからPEAR::MDB2を使えと公式に書いている。


>基礎からのPHPという学習本で勉強中です。
この本いつの発売されたかしらないけどPEAR::DBをすすめるあたり
本そのものの発売が古いのか相当駄目な著者が執筆しているのでしょう。
    • good
    • 0
この回答へのお礼

そうですね。古いですよね。
XAMPP使います。

お礼日時:2010/08/23 23:50

このQ&Aに関連する人気のQ&A

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!


人気Q&Aランキング